import { DeployResult } from '@salesforce/source-deploy-retrieve';
import { ConfigFile, PollingClient } from '@salesforce/core';
import { SourceCommand } from './sourceCommand';
export declare abstract class DeployCommand extends SourceCommand {
    protected static readonly STASH_KEY = "SOURCE_DEPLOY";
    protected deployIdDisplayed: boolean;
    protected deployResult: DeployResult;
    /**
     * Request a report of an in-progess or completed deployment.
     *
     * @param id the Deploy ID of a deployment request
     * @returns DeployResult
     */
    report(id?: string): Promise<DeployResult>;
    protected getStash(): ConfigFile<{
        isGlobal: true;
        filename: 'stash.json';
    }>;
    protected resolveDeployId(id: string): string;
    protected displayDeployId(id: string): void;
    protected isRestDeploy(): Promise<boolean>;
    protected poll(deployId: string, options?: Partial<PollingClient.Options>): Promise<DeployResult>;
}
