import { UX } from '@salesforce/command';
import { Logger } from '@salesforce/core';
export interface ResultFormatterOptions {
    verbose?: boolean;
    async?: boolean;
    waitTime?: number;
}
export declare abstract class ResultFormatter {
    logger: Logger;
    ux: UX;
    options: ResultFormatterOptions;
    constructor(logger: Logger, ux: UX, options?: ResultFormatterOptions);
    isSuccess(): boolean;
    isAsync(): boolean;
    isVerbose(): boolean;
    abstract getJson(): any;
    abstract display(): void;
}
