"use strict";
/*
 * Copyright (c) 2020, salesforce.com, inc.
 * All rights reserved.
 * Licensed under the BSD 3-Clause license.
 * For full license text, see LICENSE.txt file in the repo root or https://opensource.org/licenses/BSD-3-Clause
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.ResultFormatter = void 0;
const ts_types_1 = require("@salesforce/ts-types");
class ResultFormatter {
    constructor(logger, ux, options = {}) {
        this.logger = logger;
        this.ux = ux;
        this.options = options;
    }
    // Command success is determined by the command so it can set the
    // exit code on the process, which is done before formatting.
    isSuccess() {
        return ts_types_1.getNumber(process, 'exitCode', 0) === 0;
    }
    isAsync() {
        return ts_types_1.getBoolean(this.options, 'async', false);
    }
    isVerbose() {
        return ts_types_1.getBoolean(this.options, 'verbose', false);
    }
}
exports.ResultFormatter = ResultFormatter;
//# sourceMappingURL=resultFormatter.js.map