import { UX } from '@salesforce/command';
import { Logger } from '@salesforce/core';
import { RetrieveResult, MetadataApiRetrieveStatus } from '@salesforce/source-deploy-retrieve';
import { FileResponse, RequestStatus, RetrieveMessage } from '@salesforce/source-deploy-retrieve/lib/src/client/types';
import { ResultFormatter, ResultFormatterOptions } from './resultFormatter';
export interface PackageRetrieval {
    name: string;
    path: string;
}
export interface RetrieveCommandResult {
    inboundFiles: FileResponse[];
    packages: PackageRetrieval[];
    warnings: RetrieveMessage[];
    response: MetadataApiRetrieveStatus;
}
export declare class RetrieveResultFormatter extends ResultFormatter {
    protected result: RetrieveResult;
    protected fileResponses: FileResponse[];
    constructor(logger: Logger, ux: UX, options: ResultFormatterOptions, result: RetrieveResult);
    /**
     * Get the JSON output from the RetrieveResult.
     *
     * @returns RetrieveCommandResult
     */
    getJson(): RetrieveCommandResult;
    /**
     * Displays retrieve results in human format.
     */
    display(): void;
    protected hasStatus(status: RequestStatus): boolean;
    protected hasComponents(): boolean;
}
